#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main() {
	int n,i;
	double suma,a[200000],pom;
	double p[200000];
	cin >> n;
	for (i = 0; i <= n - 1; i++)
		cin >> a[i] >> p[i];
	suma = 0;
	for (i = 0; i <= n - 1; i++) {
		pom = 0;
		for (int j = 0; j <= n - 1; j++) {
			if (p[j] >= p[i])
				pom += a[j];
	}
		if (pom*p[i]/100 > suma)
			suma = pom * p[i] / 100;
	}
	printf("%f", suma);

	return 0;
}